#### 7.10.2.25 dyckGroup3

Procedure from library `fpalgebras.lib` (see fpalgebras_lib).

Usage:
  dyckGroup2(n,d,P); n an integer, d an integer, P an intvec

Return:
  ring

Note:
  - the ring contains the ideal I, which contains the required relations - The Dyck group with the following presentation
  < x_1, x_2, ... , x_n | (x_1)^p1 = (x_2)^p2 = ... = (x_n)^pn = x_1 * x_2 * ... * x_n = 1 > - only positive exponents are allowed
  - no inverse generators needed
  - d gives the degreebound for the Letterplace ring
  - varying n and P produces a family of examples

Example:

    LIB "fpalgebras.lib";
    intvec P = 1,2,3;
    def R = dyckGroup3(3,5,P); setring R;
    I;
    ==> I[1]=x(1)+1
    ==> I[2]=x(2)*x(2)+1
    ==> I[3]=x(3)*x(3)*x(3)+1
    ==> I[4]=x(1)*x(2)*x(3)+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.